InstallationComponentSetup (install4j API)
Date: 2009-06-17

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.context
Interface InstallationComponentSetup

    public interface InstallationComponentSetup

This interface provides information about installation components. Installation components are configured on the "Installation Components" tab in the install4j IDE.

Objects of this type are returned by `Context.getInstallationComponents()` and `Context.getInstallationComponentById(String)`

Author:
  ej-technologies GmbH

Method Summary
`java.lang.String` | `getId()` The ID of the installation component.
`java.lang.String` | `getName()` Returns the name of this installation components.
`boolean` | `isSelected()` Returns whether the installation components has been selected by the user.
`void` | `setSelected(boolean selected)` Sets whether the installation component should be installed or not.

Method Detail

### isSelected

    boolean isSelected()

  Returns whether the installation components has been selected by the user.

  Returns:
    `true` or `false`.

### setSelected

    void setSelected(boolean selected)

  Sets whether the installation component should be installed or not. This method only has an effect when called before the "Install files" action.

  Parameters:
    `selected` - the new selection state

### getName

    java.lang.String getName()

  Returns the name of this installation components. This is the name that you have specified in the install4j IDE. The check box in the installation component tree displays this name.

  Returns:
    the name

### getId

    java.lang.String getId()

  The ID of the installation component. You can display component IDs in the install4j IDE.

  Returns:
    the ID

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD